=== debian/changelog ===
crystal-facet-uml (1.56.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 07 Apr 2024 17:39:03 +0200
