=== debian/control ===
Source: crystal-facet-uml
Section: devel
Priority: optional
Maintainer: Andreas Warnke <cfu@andreaswarnke.de>
Uploaders:
 Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>,
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libgtk-4-dev,
 libsqlite3-dev,
Standards-Version: 4.6.2
Homepage: https://andreaswarnke.de/crystal-facet-uml/html/index.html
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/crystal-facet-uml.git
Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/crystal-facet-uml/

Package: crystal-facet-uml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Diagram documentation tool for system and software architecture:
 crystal-facet-uml creates sysml/uml diagrams to document system and
 software architecture.
 .
 As software architect, you create a set of diagrams describing
 use-cases, requirements, structural views, behavioral and deployment
 views. crystal-facet-uml keeps element names and element hierarchies
 consistent. It exports diagrams in svg, pdf, ps and png formats to be
 used in text processing systems like DocBook, html, LaTeX.
 crystal-facet-uml exports the model to json and xmi format; json can
 also be imported. The json-based data format can be stored to git,
 branched and merged together with your source code.
 This tool runs on your local PC and is based on
 gtk (incl. glib, gdk, cairo, pango) and sqlite.
