## crystal-facet-uml 1.58.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -34,6 +34,11 @@
 MESSAGE("GLIB2:   ${GLIB2_LIBRARY_DIRS}")
 MESSAGE("GLIB2:   ${GLIB2_CFLAGS}")
 
+#EXECUTE_PROCESS(COMMAND pkg-config --cflags glib-2.0
+#                OUTPUT_VARIABLE GLIB_MORE_CFLAGS)
+#SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${GLIB_MORE_CFLAGS}" )
+#MESSAGE("GLIB_MORE_CFLAGS:   ${GLIB_MORE_CFLAGS}")
+
 #search gtk4
 # Note: PKG_CHECK_MODULES searched for all occurerences of the package
 PKG_CHECK_MODULES(GTK REQUIRED gtk4)
@@ -46,6 +51,11 @@
 MESSAGE("GTK:    ${GTK_LDFLAGS_OTHER}")
 MESSAGE("GTK:    ${GTK_CFLAGS}")
 MESSAGE("GTK:    ${GTK_CFLAGS_OTHER}")
+
+#EXECUTE_PROCESS(COMMAND pkg-config --cflags graphene-1.0
+#                OUTPUT_VARIABLE GRAPHENE_MORE_CFLAGS)
+#SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${GRAPHENE_MORE_CFLAGS}" )
+#MESSAGE("GRAPHENE_MORE_CFLAGS:   ${GRAPHENE_MORE_CFLAGS}")
 
 PKG_SEARCH_MODULE(PANGOCAIRO REQUIRED pangocairo)
 INCLUDE_DIRECTORIES(${PANGOCAIRO_INCLUDE_DIRS})
@@ -65,14 +75,17 @@
                        u8stream/source/u8/*.c
                        pencil/source/*.c
                        pencil/source/geometry/*.c
+                       pencil/source/layout/*.c
                        pencil/source/draw/*.c
                        io/source/*.c
                        io/source/image/*.c
                        io/source/json/*.c
                        io/source/document/*.c
                        io/source/xmi/*.c
-                       io/source/format/*.c)
-FILE(GLOB appSource    main/source/*.c)
+                       io/source/format/*.c
+                       main/source/main_commands.c
+                       main/source/main_execute.c)
+FILE(GLOB appSource    main/source/main.c)
 FILE(GLOB utestSource  main/test/*.c
                        data/test/unit/*.c
                        data/test/integration/*.c
@@ -132,7 +145,7 @@
 
 if(CFU_ADD_GCOV_TARGET)
     if(CMAKE_COMPILER_IS_GNUCC)
-        SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fprofile-arcs -ftest-coverage" )
+        SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fprofile-arcs -ftest-coverage -O0" )
         SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fprofile-arcs" )
         ADD_EXECUTABLE(gcov_crystal-facet-uml ${utestSource} ${commonSource} ${COMPILE_IN_SOURCE_FILE})
         TARGET_INCLUDE_DIRECTORIES(gcov_crystal-facet-uml PUBLIC test_fw/include)
