=== debian/changelog ===
crystal-facet-uml (1.58.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 09 Jun 2024 22:39:09 +0200
