## crystal-facet-uml 1.63.1

=== debian/changelog ===
crystal-facet-uml (1.63.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/examples:
    + Add file. Add documentation examples.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 23 Mar 2025 16:08:38 +0100
