## crystal-facet-uml 1.63.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 SET(COMPILE_IN_INCLUDE_DIR "" CACHE FILEPATH "Path to additional include directory")
 SET(COMPILE_IN_SOURCE_FILE "" CACHE FILEPATH "Path to additional source file, e.g. sqlite3.c")
+SET(COMPILE_IN_LINKER_FLAG "" CACHE FILEPATH "Additional linker flag, e.g. win_app_icon.res")
 INCLUDE_DIRECTORIES(${COMPILE_IN_INCLUDE_DIR})
 
 # crystal-facet-uml
@@ -34,6 +35,7 @@
 MESSAGE("GLIB2:   ${GLIB2_LIBRARY_DIRS}")
 MESSAGE("GLIB2:   ${GLIB2_CFLAGS}")
 
+# for DEBUG mode, some headers may not be found automatically:
 #EXECUTE_PROCESS(COMMAND pkg-config --cflags glib-2.0
 #                OUTPUT_VARIABLE GLIB_MORE_CFLAGS)
 #SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${GLIB_MORE_CFLAGS}" )
@@ -52,6 +54,7 @@
 MESSAGE("GTK:    ${GTK_CFLAGS}")
 MESSAGE("GTK:    ${GTK_CFLAGS_OTHER}")
 
+# for DEBUG mode, some headers may not be found automatically:
 #EXECUTE_PROCESS(COMMAND pkg-config --cflags graphene-1.0
 #                OUTPUT_VARIABLE GRAPHENE_MORE_CFLAGS)
 #SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${GRAPHENE_MORE_CFLAGS}" )
@@ -67,6 +70,7 @@
                        ctrl/source/*.c
                        ctrl/source/consistency/*.c
                        data/source/*.c
+                       data/source/entity/*.c
                        data/source/storage/*.c
                        data/source/set/*.c
                        u8stream/source/utf8stringbuf/*.c
@@ -95,6 +99,7 @@
                        io/test/unit/*.c
                        io/test/integration/*.c
                        pencil/test/unit/*.c
+                       pencil/test/test_data/*.c
                        pencil/test/integration/*.c
                        u8stream/test/unit/*.c
                        u8stream/test/integration/*.c)
@@ -119,6 +124,7 @@
 ADD_EXECUTABLE(crystal-facet-uml ${appSource} ${commonSource} ${COMPILE_IN_SOURCE_FILE})
 TARGET_LINK_LIBRARIES(crystal-facet-uml ${GTK_LIBRARIES} ${GLIB2_LIBRARIES} ${PANGOCAIRO_LIBRARIES} ${SQLITE3_LIBRARIES} m)
 SET_TARGET_PROPERTIES(crystal-facet-uml PROPERTIES LINKER_LANGUAGE C)
+SET_TARGET_PROPERTIES(crystal-facet-uml PROPERTIES LINK_FLAGS "${COMPILE_IN_LINKER_FLAG}")
 
 # ==== ==== ==== ==== ==== ==== ==== ==== test Target Settings ==== ==== ==== ==== ==== ==== ==== ====
 
@@ -132,6 +138,7 @@
 TARGET_INCLUDE_DIRECTORIES(test_crystal-facet-uml PUBLIC u8stream/test)
 TARGET_LINK_LIBRARIES(test_crystal-facet-uml ${GTK_LIBRARIES} ${GLIB2_LIBRARIES} ${PANGOCAIRO_LIBRARIES} ${SQLITE3_LIBRARIES} m)
 SET_TARGET_PROPERTIES(test_crystal-facet-uml PROPERTIES LINKER_LANGUAGE C)
+SET_TARGET_PROPERTIES(test_crystal-facet-uml PROPERTIES LINK_FLAGS "${COMPILE_IN_LINKER_FLAG}")
 
 # ==== ==== ==== ==== ==== ==== ==== ==== Install Settings ==== ==== ==== ==== ==== ==== ==== ====
 
@@ -161,8 +168,15 @@
     endif(CMAKE_COMPILER_IS_GNUCC)
 endif(CFU_ADD_GCOV_TARGET)
 
+# ==== ==== ==== ==== ==== ==== ==== ==== run the msys2 deploy script ==== ==== ==== ==== ==== ==== ==== ====
 
-# Copyright 2018-2024 Andreas Warnke
+ADD_CUSTOM_TARGET(msys2_deploy
+                  ${CMAKE_CURRENT_SOURCE_DIR}/build/msys2/deploy.sh
+                  ${CMAKE_CURRENT_SOURCE_DIR}
+                  ${CMAKE_CURRENT_BINARY_DIR})
+
+
+# Copyright 2018-2025 Andreas Warnke
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
