=== debian/changelog ===
crystal-facet-uml (1.63.3-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 May 2025 17:38:12 +0200
