=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_VERBOSE_MAKEFILE:BOOL=TRUE \
	    -DCMAKE_BUILD_TYPE=Release

override_dh_auto_build:
	DEB_BUILD_HARDENING=1 dh_auto_build

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
