=== debian/changelog ===
crystal-facet-uml (1.64.2-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 11 Aug 2025 22:09:11 +0200
