=== build/examples/Makefile ===
--- 
+++ 
@@ -107,7 +107,7 @@
 	rm -fr mouse_droid quality pencil_tests export_test self_architecture
 
 
-# Copyright 2021-2024 Andreas Warnke
+# Copyright 2021-2025 Andreas Warnke
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
