=== debian/changelog ===
crystal-facet-uml (1.65.3-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 06 Sep 2025 11:04:13 +0200
