=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  debhelper-compat (= 13),
  libgtk-4-dev,
  libsqlite3-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://andreaswarnke.de/crystal-facet-uml/html/index.html
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/crystal-facet-uml.git
