=== build/user_manual/Makefile ===
--- 
+++ 
@@ -55,7 +55,7 @@
 	cp ${MANPAGE_FILE}.gz ../../installation/linux/
 
 
-# Copyright 2021-2025 Andreas Warnke
+# Copyright 2021-2026 Andreas Warnke
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
