=== debian/changelog ===
crystal-facet-uml (1.68.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update attributions for debian/.
  * debian/control:
    + Drop Priority: field.
    + Bump Standards-Version: to 4.7.3.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 03 Mar 2026 16:46:45 +0100
