=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: crystal-facet-uml
 Section: devel
-Priority: optional
 Maintainer: Andreas Warnke <cfu@andreaswarnke.de>
 Uploaders:
  Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>,
@@ -10,7 +9,7 @@
  debhelper-compat (= 13),
  libgtk-4-dev,
  libsqlite3-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://andreaswarnke.de/crystal-facet-uml/html/index.html
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/crystal-facet-uml.git
